Bug 731376 - [abrt] fedora-packager-0.5.9.2-1.fc14: proxyclient.py:427:send_request:ServerError: ServerError(https://admin.fedoraproject.org/accounts/user/dogencert, 200, Error returned from json module while processing https://admin.fedoraproject.org/accounts/user/do
Summary: [abrt] fedora-packager-0.5.9.2-1.fc14: proxyclient.py:427:send_request:Server...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:31d5a28c
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 13:11 UTC by Eric Blake
Modified: 2013-01-10 06:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 13:04:17 UTC


Attachments (Terms of Use)
File: backtrace (26.88 KB, text/plain)
2011-08-17 13:11 UTC, Eric Blake
no flags Details

Description Eric Blake 2011-08-17 13:11:09 UTC
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 27522 bytes
cmdline: /usr/bin/python /usr/bin/fedora-packager-setup
component: fedora-packager
executable: /usr/bin/fedora-packager-setup
kernel: 2.6.35.13-92.fc14.x86_64
package: fedora-packager-0.5.9.2-1.fc14
reason: proxyclient.py:427:send_request:ServerError: ServerError(https://admin.fedoraproject.org/accounts/user/dogencert, 200, Error returned from json module while processing https://admin.fedoraproject.org/accounts/user/dogencert: No JSON object could be decoded: line 1 column 0 (char 0))
release: Fedora release 14 (Laughlin)
time: 1313586462
uid: 14986

How to reproduce
-----
1. ran fedora-packager-setup - it asked for my FAS password then crashed
2.
3.

Comment 1 Eric Blake 2011-08-17 13:11:11 UTC
Created attachment 518676 [details]
File: backtrace

Comment 2 Dan Nicholson 2011-10-30 17:55:37 UTC
Package: fedora-cert-0.5.9.2-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Ran fedora-cert and was prompted for a new key
2. Entered password
3. Crash


Comment
-----
I think the issue ended up being that I hadn't signed the FPCA yet. Now that I've gone online to fedora accounts and signed it, fedora-cert runs fine again.

I'm not sure what the right thing to do here is, but possibly catching the exception and directing the user to https://admin.fedoraproject.org/accounts/ would be best.

Comment 3 Fedora End Of Life 2012-08-16 13:04:19 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.